View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012130ParaViewBugpublic2011-04-27 16:562012-02-20 10:46
ReporterSven Buijssen 
Assigned ToDavid Partyka 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionDevelopment 
Target VersionFixed in Version3.14 
Summary0012130: vtkSocket error on disconnect with AutoMPI enabled
DescriptionDevelopment builds since PV commit 8a72f42e2a3817fe67745436e317c8e1cad9cfa2 (which pulled in also Burlen's vtkSocket fix for bug 12087) on Ubuntu 10.04.2 LTS 64 bit exhibit the following regression:

built-in server, --disable-registry command line option
* Edit / Settings / General / check "Use Multi-Core" / Ok
* File / Disconnect

=> the following error message is raised:
   "ERROR: In /ParaView3.git/VTK/Common/vtkSocket.cxx, line 539
    vtkSocket (0x2b34260): Socket error in call to close/closesocket. Bad file descriptor."
TagsNo tags attached.
Project
Topic Name
Type
Attached Filespatch file icon 0001-BUG-PV-bug-0012130-double-close-by-classes-derived-f.patch [^] (1,976 bytes) 2011-05-02 18:40 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0026390)
Burlen (developer)
2011-05-02 18:44

A double close occurs when classes derived from vtkSocket call the protected function vtkSocket::CloseSocket(int descriptor) directly which closes the socket but does not mark the descriptor as invalid.
(0026423)
Sven Buijssen (reporter)
2011-05-03 06:33

Works for me now.
Trunk + this patch, Linux 64bit, local server.
(0028311)
Utkarsh Ayachit (administrator)
2012-02-20 10:46

reported closed by reporter.

- Issue History
Date Modified Username Field Change
2011-04-27 16:56 Sven Buijssen New Issue
2011-05-02 18:40 Burlen File Added: 0001-BUG-PV-bug-0012130-double-close-by-classes-derived-f.patch
2011-05-02 18:44 Burlen Note Added: 0026390
2011-05-03 06:33 Sven Buijssen Note Added: 0026423
2011-05-06 11:46 Utkarsh Ayachit Assigned To => David Partyka
2011-05-06 11:46 Utkarsh Ayachit Status backlog => tabled
2011-05-06 11:46 Utkarsh Ayachit Target Version => 3.12
2012-02-20 10:46 Utkarsh Ayachit Note Added: 0028311
2012-02-20 10:46 Utkarsh Ayachit Status backlog => closed
2012-02-20 10:46 Utkarsh Ayachit Resolution open => fixed
2012-02-20 10:46 Utkarsh Ayachit Fixed in Version => 3.14


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker